Subject: Re: [PATCH v2] net: cadence: Add architecture dependencies

From: Michal Simek <[email-masked]>
Date: Wed, 23 Apr 2014 15:16:04 +0200

On 04/23/2014 01:34 PM, Mark Brown wrote:
> On Wed, Apr 23, 2014 at 01:14:41PM +0200, Michal Simek wrote:
>> On 04/23/2014 12:48 PM, Jean Delvare wrote:
> 
>>> Originally I wanted to hide the Cadence drivers from X86 kernel
>>> configuration. If there's still a way to achieve that, let's do it. If
>>> not, we can leave the hardware dependency for ARM_AT91_ETHER and drop
>>> the one for MACB (and subsequently NET_CADENCE.) That's still better
>>> than nothing.
> 
>> Any reason to hide this driver for x86?
> 
> Distro maintainers like Jean are complaining about build times for their
> kernels if they enable absolutely everything so if they're never likely
> to see any hardware using something they want to skip it.

Is there any reasonable solution for this?
1. One group is saying use COMPILE_TEST for every driver to have better
coverage.
2. Next group is saying I don't want to build everything for my arch.

Fixing Kconfig to say !x86 is probably not the right way to go.

Isn't it enough not to enable absolutely everything?

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng), OpenPGP -> KeyID: FE3D1F91
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel - Microblaze cpu - http://www.monstr.eu/fdt/
Maintainer of Linux kernel - Xilinx Zynq ARM architecture
Microblaze U-BOOT custodian and responsible for u-boot arm zynq platform